GearmanClient::setDataCallback
GearmanClient::setFailCallback
GearmanClient
PHP Manual

# GearmanClient::setExceptionCallback

(PECL gearman >= 0.5.0)

GearmanClient::setExceptionCallback — Set a callback for worker exceptions

### Description

public bool GearmanClient::setExceptionCallback ( callable `$callback` )

Specifies a function to call when a worker for a task sends an exception.

### Parameters

`callback`

  Function to call when the worker throws an exception

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- GearmanClient::setDataCallback() - Callback function when there is a data packet for a task
- GearmanClient::setCompleteCallback() - Set a function to be called on task completion
- GearmanClient::setCreatedCallback() - Set a callback for when a task is queued
- GearmanClient::setFailCallback() - Set callback for job failure
- GearmanClient::setStatusCallback() - Set a callback for collecting task status
- GearmanClient::setWarningCallback() - Set a callback for worker warnings
- GearmanClient::setWorkloadCallback() - Set a callback for accepting incremental data updates

GearmanClient::setDataCallback
GearmanClient::setFailCallback
GearmanClient
PHP Manual